---
updatedAt: 2026-08-19T01:07:39.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /{chain}/price/{token}

Returns the token price at the requested point in time. If <i>timestamp</i> is omitted, the latest price is returned.
            
Only `cc` (Canton Coin) is supported. The token identifier is case insensitive.
            
Returns HTTP 404 when the timestamp is earlier than the first available price.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Query public and private Canton updates, balances, prices, rewards, verdicts, and Featured App activity. Create stream subscriptions and alerts for ongoing delivery.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/price/{token}": {
      "get": {
        "tags": [
          "Prices"
        ],
        "summary": "/{chain}/price/{token}",
        "description": "Returns the token price at the requested point in time. If <i>timestamp</i> is omitted, the latest price is returned.\r\n            \r\nOnly `cc` (Canton Coin) is supported. The token identifier is case insensitive.\r\n            \r\nReturns HTTP 404 when the timestamp is earlier than the first available price.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Canton chain name. Use a name returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "token",
            "in": "path",
            "description": "Token identifier to price. Only `cc` is supported.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "cc",
              "example": "cc"
            }
          },
          {
            "name": "timestamp",
            "in": "query",
            "description": "Point in time for the price, as Unix seconds. Defaults to the latest available price.",
            "style": "form",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DamlPriceResponseApiModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "DamlPriceDetailModel": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "string",
            "description": "Price amount, as a decimal string. Null when unavailable.",
            "nullable": true
          },
          "currency": {
            "type": "string",
            "description": "Price currency. Returns `USD` when an amount is available.",
            "nullable": true,
            "readOnly": true
          }
        },
        "additionalProperties": false,
        "description": "Token price and currency."
      },
      "DamlPriceResponseApiModel": {
        "type": "object",
        "properties": {
          "chain": {
            "type": "string",
            "description": "Canton chain name.",
            "nullable": true
          },
          "token": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DamlTokenInfo"
              }
            ],
            "description": "Token metadata.",
            "nullable": true
          },
          "price": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DamlPriceDetailModel"
              }
            ],
            "description": "Token price.",
            "nullable": true
          },
          "priceStatus": {
            "type": "string",
            "description": "Price resolution status.",
            "nullable": true
          },
          "priceObservedAt": {
            "type": "string",
            "description": "Time of the price observation used in the response (ISO 8601). Null when unavailable.",
            "format": "date-time",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Token price at a requested point in time."
      },
      "DamlTokenInfo": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "Token identifier.",
            "nullable": true
          },
          "symbol": {
            "type": "string",
            "description": "Token symbol.",
            "nullable": true
          },
          "name": {
            "type": "string",
            "description": "Token name.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Public token metadata."
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```